libzypp: zyppng::JobReportHelper< ZyppContextRef > Class Template Reference

libzypp 17.36.6

Public Member Functions | List of all members
zyppng::JobReportHelper< ZyppContextRef > Class Template Reference

`#include <zypp/ng/reporthelper.h>`

Inheritance diagram for zyppng::JobReportHelper< ZyppContextRef >:

## Public Member Functions
| JobReportHelper (ZyppContextRef r)
| JobReportHelper (const JobReportHelper &)=default
| JobReportHelper (JobReportHelper &&)=default
JobReportHelper & | operator= (const JobReportHelper &)=default
JobReportHelper & | operator= (JobReportHelper &&)=default
bool | debug (std::string msg_r, UserData userData_r=UserData())
| send debug message text
bool | info (std::string msg_r, UserData userData_r=UserData())
| send message text
bool | warning (std::string msg_r, UserData userData_r=UserData())
| send warning text
bool | error (std::string msg_r, UserData userData_r=UserData())
| send error text
bool | important (std::string msg_r, UserData userData_r=UserData())
| send important message text
bool | data (std::string msg_r, UserData userData_r=UserData())
| send data message
Public Member Functions inherited from zyppng::BasicReportHelper< ZyppContextRef >
| BasicReportHelper (const BasicReportHelper &)=default
| BasicReportHelper (BasicReportHelper &&)=default
BasicReportHelper & | operator= (const BasicReportHelper &)=default
BasicReportHelper & | operator= (BasicReportHelper &&)=default
const ZyppContextRef & | zyppContext ()

## Additional Inherited Members
Static Public Member Functions inherited from zyppng::BasicReportHelper< ZyppContextRef >
static constexpr bool | async ()
Protected Member Functions inherited from zyppng::BasicReportHelper< ZyppContextRef >
| BasicReportHelper (ZyppContextRef &&ctx)
Protected Attributes inherited from zyppng::BasicReportHelper< ZyppContextRef >
ZyppContextRef | _ctx

## Detailed Description

template<typename ZyppContextRef>
class zyppng::JobReportHelper< ZyppContextRef >

Definition at line 135 of file reporthelper.h.

## Constructor & Destructor Documentation

## ◆ JobReportHelper() [1/3]

template<typename ZyppContextRef>

zyppng::JobReportHelper< ZyppContextRef >::JobReportHelper | ( | ZyppContextRef | r | ) |
| inline

Definition at line 139 of file reporthelper.h.

## ◆ JobReportHelper() [2/3]

template<typename ZyppContextRef>

zyppng::JobReportHelper< ZyppContextRef >::JobReportHelper | ( | const JobReportHelper< ZyppContextRef > & |  | ) |
| default

## ◆ JobReportHelper() [3/3]

template<typename ZyppContextRef>

zyppng::JobReportHelper< ZyppContextRef >::JobReportHelper | ( | JobReportHelper< ZyppContextRef > && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename ZyppContextRef>

JobReportHelper & zyppng::JobReportHelper< ZyppContextRef >::operator= | ( | const JobReportHelper< ZyppContextRef > & |  | ) |
| default

## ◆ operator=() [2/2]

template<typename ZyppContextRef>

JobReportHelper & zyppng::JobReportHelper< ZyppContextRef >::operator= | ( | JobReportHelper< ZyppContextRef > && |  | ) |
| default

## ◆ debug()

template<typename ZyppContextRef>

bool zyppng::JobReportHelper< ZyppContextRef >::debug | ( | std::string | msg_r,
|  | UserData | userData_r = UserData() )

send debug message text

Definition at line 184 of file reporthelper.cc.

## ◆ info()

template<typename ZyppContextRef>

bool zyppng::JobReportHelper< ZyppContextRef >::info | ( | std::string | msg_r,
|  | UserData | userData_r = UserData() )

send message text

Definition at line 195 of file reporthelper.cc.

## ◆ warning()

template<typename ZyppContextRef>

bool zyppng::JobReportHelper< ZyppContextRef >::warning | ( | std::string | msg_r,
|  | UserData | userData_r = UserData() )

send warning text

Definition at line 206 of file reporthelper.cc.

## ◆ error()

template<typename ZyppContextRef>

bool zyppng::JobReportHelper< ZyppContextRef >::error | ( | std::string | msg_r,
|  | UserData | userData_r = UserData() )

send error text

Definition at line 217 of file reporthelper.cc.

## ◆ important()

template<typename ZyppContextRef>

bool zyppng::JobReportHelper< ZyppContextRef >::important | ( | std::string | msg_r,
|  | UserData | userData_r = UserData() )

send important message text

Definition at line 228 of file reporthelper.cc.

## ◆ data()

template<typename ZyppContextRef>

bool zyppng::JobReportHelper< ZyppContextRef >::data | ( | std::string | msg_r,
|  | UserData | userData_r = UserData() )

send data message

Definition at line 239 of file reporthelper.cc.

The documentation for this class was generated from the following files:

- zypp/ng/reporthelper.h
- zypp/ng/reporthelper.cc